Saltar al contenido principal
POST
/
events
/
2026-03
/
send
/
batch
Send a batch of event occurrences
curl --request POST \
  --url https://api.hubapi.com/events/2026-03/send/batch \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "inputs": [
    {
      "eventName": "<string>",
      "properties": {},
      "email": "<string>",
      "objectId": "<string>",
      "occurredAt": "2023-11-07T05:31:56Z",
      "utk": "<string>",
      "uuid": "<string>"
    }
  ]
}
'
import requests

url = "https://api.hubapi.com/events/2026-03/send/batch"

payload = { "inputs": [
{
"eventName": "<string>",
"properties": {},
"email": "<string>",
"objectId": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"utk": "<string>",
"uuid": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
inputs: [
{
eventName: '<string>',
properties: {},
email: '<string>',
objectId: '<string>',
occurredAt: '2023-11-07T05:31:56Z',
utk: '<string>',
uuid: '<string>'
}
]
})
};

fetch('https://api.hubapi.com/events/2026-03/send/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


This response has no body data.
{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}

Supported products

Autorizaciones

Authorization
string
header
requerido

The access token received from the authorization server in the OAuth 2.0 flow.

Cuerpo

application/json
inputs
object[]
requerido

Respuesta

Última modificación el 17 de abril de 2026